GET
/
nps
/
tx
cURL
curl --request GET \
  --url https://apidev.nusd.me/nps/tx \
  --header 'BIZ-API-KEY: <api-key>' \
  --header 'Biz-Api-Nonce: <api-key>' \
  --header 'Biz-Api-Signature: <api-key>'
{
  "status": 0,
  "data": {
    "transaction_id": "9e409c3b-a9b0-4225-80cf-f4da550153a4",
    "wallet_id": "e9167870-e18b-4e82-8b87-92ec7ede8e45",
    "chain_id": "BASE_ETH",
    "token_id": "USDT",
    "to": "0x728398976e145f022108ff633b8e52dd04c1f96c",
    "type": "Withdrawal",
    "status": "Completed",
    "amount": "0.01",
    "fee_ratio": "0.01",
    "fee_fixed": "0",
    "fee": "0.0001",
    "amount_actual": "0.01",
    "hash": "0xc3d598f711897faa970cf0db63236248c7b06579a0739c1395aeaddcc9147770",
    "payer": "User",
    "er": 1,
    "created_at": "2025-11-14T04:51:57.586Z",
    "confirmed_at": "2025-11-14T04:56:22.840Z",
    "completed_at": "2025-11-14T04:56:22.840Z"
  },
  "msg": "<string>"
}

Authorizations

BIZ-API-KEY
string
header
required

API Key,请求需在请求头中携带。

Biz-Api-Nonce
string
header
required

时间戳,请求需在请求头中携带。

Biz-Api-Signature
string
header
required

签名串,请求需在请求头中携带。

Query Parameters

transaction_id
string

交易id(可选)

Example:

"01574789-f3ea-4f92-b6bb-1d4a40549be4"

request_id
string

请求id(与transaction_id二选一,充值交易不适用)

Example:

"96b79bcb-6d5a-44e7-9c02-0135f27c2973"

Response

请求成功,返回交易详情

status
integer

状态码,0 表示成功。

Example:

0

data
object

交易列表

msg
string

错误消息,status 非 0 时存在